<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('captain_profiles', function (Blueprint $table) {
            $table->string('vehicle_type')->nullable()->change();
        });
    }

    public function down(): void
    {
        Schema::table('captain_profiles', function (Blueprint $table) {
            // Revert the column to its original enum type
            $table->enum('vehicle_type', ['bike', 'auto', 'car'])->nullable()->change();
        });
    }
};
